import * as api from '../services/searchGoods';

export default {
  namespace: 'searchGoods',
  state: {
    goodsNum: {},
  },
  reducers: {
    goodsNum(state, {goodsNumber}) {
      state.goodsNum = goodsNumber;
      return {...state};
    },
  },
  effects: {
    *getStoreGoods(action, {call}) {
      return yield call(api.getStoreGoods, action);
    },
  },
};
